# Uses of Class
org.h2gis.functions.io.gpx.model.AbstractGpxParserDefault

Packages that use AbstractGpxParserDefault
Package
Description
org.h2gis.functions.io.gpx.model

## Uses of AbstractGpxParserDefault in org.h2gis.functions.io.gpx.model

Subclasses of AbstractGpxParserDefault in org.h2gis.functions.io.gpx.model
Modifier and Type
Class
Description
`class`
`GpxParser`
Default parser.
Methods in org.h2gis.functions.io.gpx.model with parameters of type AbstractGpxParserDefault
Modifier and Type
Method
Description
`void`
AbstractGpxParserRte.`initialise(XMLReader reader, AbstractGpxParserDefault parent)`
Create a new specific parser.
`void`
AbstractGpxParserTrk.`initialise(XMLReader reader, AbstractGpxParserDefault parent)`
Create a new specific parser.
`void`
AbstractGpxParserWpt.`initialise(XMLReader reader, AbstractGpxParserDefault parent)`
Create a new specific parser.
`void`
AbstractGpxParserRte.`setParent(AbstractGpxParserDefault parent)`
Set the parent of this specific parser.
`void`
AbstractGpxParserTrk.`setParent(AbstractGpxParserDefault parent)`
Set the parent of this specific parser.
`void`
AbstractGpxParserWpt.`setParent(AbstractGpxParserDefault parent)`
Set the parent of this specific parser.
Constructors in org.h2gis.functions.io.gpx.model with parameters of type AbstractGpxParserDefault
Modifier
Constructor
Description
``
`GpxParserTrk(XMLReader reader, AbstractGpxParserDefault parent)`
Create a new specific parser.